#!/usr/bin/env python
import rospy
from geometry_msgs.msg import PoseWithCovarianceStamped

def pub_posini():
	#VARIABLES cambian en funcion del mapa y de donde comience el programa
   	posini_x = 1.7947359085083008
    posini_y = -0.5974310040473938
    orientacionini_z = -0.3667700591974526
    orientacionini_w = 0.9303116271853734
    
    rospy.init_node('PosicionInicial', anonymous=False) #inicia el nodo
    posinicial = rospy.Publisher('initialpose', PoseWithCovarianceStamped, queue_size=10)#crea el publicador
    #le indico los valores
    pose = PoseWithCovarianceStamped()
    pose.header.frame_id = "map"
    pose.pose.pose.position.x = posini_x
    pose.pose.pose.position.y = posini_y
    pose.pose.pose.position.z = 0.0
    pose.pose.covariance=[0.25, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.25, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.06853891945200942]
    pose.pose.pose.orientation.x = 0.0
    pose.pose.pose.orientation.y = 0.0
    pose.pose.pose.orientation.z = orientacionini_z
    pose.pose.pose.orientation.w = orientacionini_w
    rospy.sleep(1) #Para que de tiempo a arrancar el publicador
    posinicial.publish(pose) #Publica la posicion inicial estimada
    print("POSICION INICIAL PUBLICADA")

pub_posini() #se llama a la funcion cada vez que se ejecute el programa 
